*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* empèche la box de grandir avec les paddings */
}

html{
    scroll-behavior: smooth;
}

/* Bordure pour vérifer blocs */
/* section{
    border: 3px solid yellow;
}

footer{
    border: 3px solid red;
}

div, nav, header, article, form{
    border: 2px solid green;
} */

img{
    /* garder ratio d'une image  */
    object-fit: cover;
    /* reponsive */
    display: block;
    max-width: 100%;
    margin-left: 10px;
}

.flex{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.column{
    flex-direction: column;
}

body{
    font-family: 'Roboto', sans-serif;
    color: black;
    font-style: regular;
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: #FFFBF5;
}

span,
p1,
h2,
button,
.icon,
.quantity{
    cursor: pointer;
}

/*==================================== HEADER ====================================*/

h2{
    font-family: 'Libre Baskerville', serif;
    font-style: Bold;
    font-size: clamp(30px, 13vw, 60px);
    vertical-align: top;
    margin-left: 20px;
    margin-right: 20px;
}

.burger{
    display: none;
}

nav{
    /* gap: 5px; */
    width: min(1100px, 95%);
    flex-direction: row;
    justify-content: space-around;
    align-self: center;
    flex-wrap: wrap;
    margin-top: 14px;
    margin-bottom: 14px;
    margin-right: 10px;
}

.footer{
    min-width: 1400px;
    margin-top: 14px;
    margin-bottom: 14px;
    margin-right: 10px;
}

nav a{
    text-decoration: none;
    color: black;
    row-gap: 45px;
    /* align: center;
    vertical-align: top; */
}

a {
    transition: color .5s;
    text-decoration: none;
    color: black;
  }
  
a:hover {
    color: #d8998f;
}

.menuicons{
    gap: 40px;
    /* responsive : passer icones en ligne */
    flex-wrap: wrap;
    justify-content: flex-end;
}

.icon{
    gap: 20px;
}

form{
    box-sizing: border-box;
}

.bouton{
    font-family: 'Roboto', sans-serif;
    font-style: bold;
    font-size: clamp(12px, 10vw, 18px);
    justify-content: center;
    align-items: center;
}

input{
    background: #FFFBF5;
    color: #D8998F;
    font-size: clamp(12px, 10vw, 14px);
    padding: 5px 5px;
    border-color: black;
}

.boutonblack{
    background: black;
    color: #FFFBF5;
    /* font-size: clamp(12px, 10vw, 13px); */
    padding: 2px 5px;
}

p4{
    font-size: clamp(14px, 2vw, 16px);
    vertical-align: text-bottom;
}

/* ============================= PAGE PANIER =========================== */


button{
    background: #333333;
    color: #FFFFFF;
    border: 0px;
    font-size: clamp(12px, 10vw, 18px);
    align-self: center;
    padding: 10px;
    margin-bottom: 30px;
}

.panier{
    font-weight: 700;
    font-size: clamp(12px, 10vw, 20px);
    margin-top: 20px;
    margin-left: 40px;
}

hr{
    width: 94.5%;
    margin-left: auto;
    margin-right: auto;
}

img{
    /* garder ratio d'une image  */
    object-fit: cover;
    /* reponsive */
    display: block;
    max-width: 100%;
    margin-left: 40px;
    padding: 50px 0;
}

h4{
    font-size: clamp(12px, 4vw, 23px);
    font-weight: 500;
}

p2{
    font-size: clamp(12px, 4vw, 20px);
    font-weight: bolder;
}

input[type=number] {
    font-size: clamp(10px, 4vw, 21px);
    color: black;
    font-weight: 400;
    /* border: none;; */
}

.quantity{
    color: #333333;
    font-weight: 700;
    font-size: 23px;
    text-align: right;
}

.details{
    /* border: 2px solid green; */
    margin-right: 40px;
    width : 60vw;
}

.container{
    /* border: 2px solid lightblue; */
    gap: 100px;
}

.container2{
    /* border: 2px solid coral; */
    margin: 20px 40px;
    gap: 15px;
    align-items: flex-end; 
}

.souscontainer1{
    gap: 57px;
}
.souscontainer2{
    gap: 30px;
}

p1{
    text-decoration: underline;
    font-weight: 500;
    font-size: clamp(10px, 2vw, 20px);
}

h1{
    font-size: clamp(15px, 4vw, 23px);
    font-weight: 500;
}

h3{
    font-size: clamp(6px, 4vw, 15px);
    font-weight: 400;
    /* font-style: italic; */
}

.container3{
    margin: 40px;
}



/* ============================================ FOOTER =============================== */

footer{
    justify-content: space-between;
}

.newsletter{
    min-width: 335px;
    min-height: 123px;
    border: 1px solid black;
    border-left: none;
    border-right: none;
    justify-content: center;
    align-items: space-evenly;
    text-align: left;
    align-self: stretch;
}

.newsletter p{
    font-size: clamp(12px, 4vh, 16px);

}
.newsletter form{
    margin-top: 15px;
}

.footer{
    min-height: 94px;
    flex-direction: row;
}


@media (max-width: 900px){
    nav a{
        display: none;
    }

}

@media (max-width: 670px) {
    nav a{
        display: table-column;
        justify-content: space-around;
    }

    .burger{
        display: block;
        cursor: pointer;
        padding: 10px;
    } 

    /* nav{
        position: fixed;
        top: 0;
        left: 0;
        right: 0; 
    } */

    .burger h2{
        background: #FFFBF5;
        padding: 10px;
        /* valeur passe au dessus des autres */
        z-index: 1;
    }

    nav{
        /* position passe par dessus les autres */
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background: #FFFBF5;
        flex-direction: column;
        justify-content: center !important;
        align-items: center;
        gap: 40px;
        /* valeur passe au dessus des autres */
        transform: translateX(100%);
        transition: 2s;
    }

    .menu-open{
        transform: translateX(0);
    }
      
    .burger span{
        width: 40px;
        height: 5px;
        background: black;
        border-radius: 54px;
        margin: 6px;
        display: block;
    }

    .menuicons{
        display: none;
    }

    form{
        margin: 0 auto 35px;
    }

   .footer{
        flex-direction: column !important;

    }

    .container,
    .details{
        flex-direction: column;
        justify-content: center;
        padding: 0;
    }

    .details{
        margin: 10px;
        gap: 10px;
    
    }

    p1{
        /* display: none; */
    }

    .container3,
    .container2{
        justify-content: center;
        align-items: center;
        margin: 20px;
    }

    .container3{
        flex-direction: column-reverse;
    }

    img{
        /* garder ratio d'une image  */
        object-fit: cover;
        /* reponsive */
        flex-wrap: wrap-reverse;
        max-width: 100%;
        margin: 0px;
        padding-bottom: 0px;
    }

    p.panier{
        text-align: center;
        /* margin-bottom: 10px; */
        margin-left: 0px;
    }

    .container{
        /* border: 2px solid lightblue; */
        gap: 20px;
    }

    button{
        margin-bottom: 10px;
    }



}